<?php
// $Id: 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">

<head>
  <?php print $head; ?>
  <title><?php print $head_title; ?></title>
  <?php print $styles; ?>
  <?php print $scripts; ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyled Content in IE */ ?> </script>
</head>
<body class="<?php print $body_classes; ?>">

  <div id="header">
    <div id="logo-title">

      <?php if (!empty($logo)): ?>
        <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
          <img src="<?php print $logo; ?>" alt="" />
        </a>
      <?php endif; ?>

      <div id="name-and-slogan">
        <?php if (!empty($site_name)): ?>
          <div id="site-name">
            <a href="<?php print $front_page ?>" title="<?php print t('Home'); ?>" rel="home"><span><?php print $site_name; ?></span></a>
          </div>
        <?php endif; ?>

        <?php if (!empty($site_slogan)): ?>
          <div id="site-slogan"><?php print $site_slogan; ?></div>
        <?php endif; ?>
      </div> <!-- /name-and-slogan -->
    </div> <!-- /logo-title -->

    <?php if (!empty($search_box)): ?>
      <div id="search-box"><?php print $search_box; ?></div>
    <?php endif; ?>

  </div> <!-- /header -->

    <div id="navigation" class="menu <?php if (!empty($primary_links)) { print "withprimary"; } if (!empty($secondary_links)) { print " withsecondary"; } ?> ">
      <?php if (!empty($primary_links)): ?>
        <div id="primary" class="clear-block">
          <?php print theme('links', $primary_links, array('class' => 'links primary-links')); ?>
        </div>
      <?php endif; ?>
      
    </div> <!-- /navigation -->
    
    <div id="container">

        <div id="main" class="column">
          <?php if (!empty($breadcrumb)): ?><div id="breadcrumb"><?php print $breadcrumb; ?></div><?php endif; ?>
          <?php if (!empty($mission)): ?><div id="mission"><?php print $mission; ?></div><?php endif; ?>

          <div id="content">
            <?php if (!empty($tabs)): ?><div class="tabs"><?php print $tabs; ?></div><?php endif; ?>
            <?php if (!empty($title)): ?><h1 class="title" id="page-title"><?php print $title; ?></h1><?php endif; ?>
            <?php if (!empty($messages)): print $messages; endif; ?>
            <?php if (!empty($help)): print $help; endif; ?>
            <div id="content-content" class="clear-block">
              <?php print $content; ?>
            </div> <!-- /content-content -->
            <?php print $feed_icons; ?>
          </div> <!-- /content -->

        </div> <!-- /main -->

      <?php if (!empty($right)): ?>
        <div id="sidebar-right" class="column sidebar">
          <?php print $right; ?>
        </div> <!-- /sidebar-right -->
      <?php endif; ?>
    
    </div> <!-- /container -->

    <div id="footer">
      <?php print $footer_message; ?><br />
      <?php if (!empty($footer)): print $footer; endif; ?>
    </div> <!-- /footer -->

  <?php print $closure; ?>

</body>
</html>
